; EXAMPLE


         LIST P=16F84,F=INHX8M
         RADIX DEC
         ;ERRORLEVEL -302
;
         include "p16f84.inc" ; standart include file
         include "com_mac.asm"        ; my include file
         __FUSES _CP_OFF & _PWRTE_ON & _WDT_OFF & _RC_OSC
         

#define out      PORTB,0

         cblock 0x0c
T1       ; pulse counter 1
T2       ; pulse counter 2  

         endc
         
         ORG 0
         
         PAGESET 1
         clrf PORTA
         clrf PORTA
         PAGESET 0
loop         
         movl    T1, 13
         movl    T2, 13
         call    period
         goto loop
;==================================================
         
period
         bsf  out
period_high                  
         djnz T1, period_high
         bcf  out
period_low
         djnz T2, period_low
         return
         

         
;==================================================
         end